Foxit PDF SDK

Public Types | Public Member Functions | List of all members
foxit.pdf.LayerContext Class Reference
Inheritance diagram for foxit.pdf.LayerContext:

## Public Types
enum | UsageType { UsageType.e_UsageView = 0x0000, UsageType.e_UsageDesign = 0x0001, UsageType.e_UsagePrint = 0x0002, UsageType.e_UsageExport = 0x0003, UsageType.e_UsageZoom = 0x0004 }
| Enumeration for PDF layer usage type. More...

## Public Member Functions
| LayerContext (PDFDoc document, LayerContext.UsageType usage_type)
| Constructor, based on a PDF document and specified layer usage type. More...
| LayerContext (LayerContext other)
| Constructor, with another layer context object. More...
bool | CopyStates (LayerContext source_context)
| Copy states from another layer context. More...
PDFDoc | GetDocument ()
| Get the related PDF document. More...
LayerContext.UsageType | GetUsageType ()
| Get the layer usage type for rendering. More...
bool | IsEmpty ()
| Check whether current object is empty or not. More...
bool | IsVisible (LayerNode layer)
| Check if a specified layer node is visible in current layer context. More...
bool | MergeStates (LayerContext source_context)
| Merge states from another layer context. More...
bool | Reset ()
| Reset current layer context, back to the initialized state. More...
bool | SetVisible (LayerNode layer, bool is_visible)
| Set the visibility of a specified layer node in current layer context. More...

## Detailed Description

This class represents a layer context for rendering. If user wants to render layers, please construct a layer context object first and then set it to a foxit.common.Renderer object by function common.Renderer.SetLayerContext .

See also
  foxit.common.Renderer

## Member Enumeration Documentation

## ◆ UsageType

enum foxit.pdf.LayerContext.UsageType
| strong

Enumeration for PDF layer usage type.

Values of this enumeration should be used alone.

Enumerator
e_UsageView | Use for a viewer.
e_UsageDesign | Use for representing a document designer's structural organization of artwork.
e_UsagePrint | Use for printing.
e_UsageExport | Use for exporting.
e_UsageZoom | Use for zooming.

## Constructor & Destructor Documentation

## ◆ LayerContext() [1/2]

foxit.pdf.LayerContext.LayerContext | ( | PDFDoc | document,
|  | LayerContext.UsageType | usage_type
| ) |  |
| inline

Constructor, based on a PDF document and specified layer usage type.

Parameters

  [in] | document | A valid PDF document object.
  [in] | usage_type | Layer usage type. Please refer to values starting from foxit.pdf.LayerContext.UsageType.e_UsageView and this should be one of these values except foxit.pdf.LayerContext.UsageType.e_UsageZoom .

## ◆ LayerContext() [2/2]

foxit.pdf.LayerContext.LayerContext | ( | LayerContext | other | ) |
| inline

Constructor, with another layer context object.

Parameters

  [in] | other | Another layer context object.

## Member Function Documentation

## ◆ CopyStates()

bool foxit.pdf.LayerContext.CopyStates | ( | LayerContext | source_context | ) |
| inline

Copy states from another layer context.

Parameters

  [in] | source_context | The source layer context, whose state will be copied to current layer context.

Returns
  true means success, while false means failure.

## ◆ GetDocument()

PDFDoc foxit.pdf.LayerContext.GetDocument | ( |  | ) |
| inline

Get the related PDF document.

Returns
  The related PDF document object.

## ◆ GetUsageType()

LayerContext.UsageType foxit.pdf.LayerContext.GetUsageType | ( |  | ) |
| inline

Get the layer usage type for rendering.

Returns
  Layer usage type. Please refer to values starting from foxit.pdf.LayerContext.UsageType.e_UsageView and this would be one of these values except foxit.pdf.LayerContext.UsageType.e_UsageZoom .

## ◆ IsEmpty()

bool foxit.pdf.LayerContext.IsEmpty | ( |  | ) |
| inline

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ IsVisible()

bool foxit.pdf.LayerContext.IsVisible | ( | LayerNode | layer | ) |
| inline

Check if a specified layer node is visible in current layer context.

Parameters

  [in] | layer | A layer node. It should belong to the same PDF document which is related to current layer context.

Returns
  true means the layer node is visible, while false means the layer node is invisible.

## ◆ MergeStates()

bool foxit.pdf.LayerContext.MergeStates | ( | LayerContext | source_context | ) |
| inline

Merge states from another layer context.

Parameters

  [in] | source_context | The source layer context, whose state will be merged to current layer context.

Returns
  true means success, while false means failure.

## ◆ Reset()

bool foxit.pdf.LayerContext.Reset | ( |  | ) |
| inline

Reset current layer context, back to the initialized state.

Returns
  true means success, while false means failure.

## ◆ SetVisible()

bool foxit.pdf.LayerContext.SetVisible | ( | LayerNode | layer,
|  | bool | is_visible
| ) |  |
| inline

Set the visibility of a specified layer node in current layer context.

Parameters

  [in] | layer | A layer node. It should belong to the same PDF document which is related to current layer context.
  [in] | is_visible | true means visible, and false means invisible.

Returns
  true means the layer node is visible, while false means the layer node is invisible.